// =====================================================================
//  $Id: TShowEventManagerCommand.cc,v 1.3 2003/10/06 17:02:37 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: TShowEventManagerCommand.cc,v $
//  Revision 1.3  2003/10/06 17:02:37  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:33  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TShowEventManagerCommand.hh"
#include "TRunManager.hh"
#include "TEventManager.hh"

static const Tstring _name = "/event/status";
static const Tstring _desc = "show information of EventManager.";

TShowEventManagerCommand::TShowEventManagerCommand( TRunManager* manager )
  : TCommand( manager, _name, _desc )
{;}

TShowEventManagerCommand::~TShowEventManagerCommand()
{;}

Tvoid TShowEventManagerCommand::Execute( const TstringList& arguments )
{
  theRunManager -> GetEventManager() -> ShowStatus();
  return;
}
